org.apache.myfaces.trinidad.bean.util

## Class PropertyHashMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<PropertyKey,Object>
    - - org.apache.myfaces.trinidad.bean.util.PropertyHashMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map<PropertyKey,Object>, PropertyMap

      public class PropertyHashMap
      extends HashMap<PropertyKey,Object>
      implements PropertyMap

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyHashMap()`
    `PropertyHashMap(int initialCapacity)`
    `PropertyHashMap(int initialCapacity, float loadFactor)`
    `PropertyHashMap(PropertyMap map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearInitialState()` Reset to a non-delta tracking state.
    `protected PropertyMap` | `createDeltaPropertyMap()`
    `boolean` | `getUseStateHolder()`
    `boolean` | `initialStateMarked()`
    `void` | `markInitialState()`
    `Object` | `put(PropertyKey key, Object value)`
    `void` | `putAll(Map<? extends PropertyKey,? extends Object> t)`
    `Object` | `remove(Object key)`
    `void` | `restoreState(javax.faces.context.FacesContext context, FacesBean.Type type, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setType(FacesBean.Type type)` Sets the the FacesBean type used by this map's owner bean
    `void` | `setUseStateHolder(boolean useStateHolder)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, size, values`

- - ### Constructor Detail

    - #### PropertyHashMap

          public PropertyHashMap(PropertyMap map)

    - #### PropertyHashMap

          public PropertyHashMap(int initialCapacity,
                         float loadFactor)

    - #### PropertyHashMap

          public PropertyHashMap(int initialCapacity)

    - #### PropertyHashMap

          public PropertyHashMap()

  - ### Method Detail

    - #### put

          public Object put(PropertyKey key,
                   Object value)

      Specified by:
        `put` in interface `Map<PropertyKey,Object>`
      Overrides:
        `put` in class `HashMap<PropertyKey,Object>`

    - #### remove

          public Object remove(Object key)

      Specified by:
        `remove` in interface `Map<PropertyKey,Object>`
      Overrides:
        `remove` in class `HashMap<PropertyKey,Object>`

    - #### putAll

          public void putAll(Map<? extends PropertyKey,? extends Object> t)

      Specified by:
        `putAll` in interface `Map<PropertyKey,Object>`
      Overrides:
        `putAll` in class `HashMap<PropertyKey,Object>`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `PropertyMap`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          FacesBean.Type type,
                          Object state)

      Specified by:
        `restoreState` in interface `PropertyMap`

    - #### createDeltaPropertyMap

          protected PropertyMap createDeltaPropertyMap()

    - #### getUseStateHolder

          public boolean getUseStateHolder()

    - #### setUseStateHolder

          public void setUseStateHolder(boolean useStateHolder)

    - #### markInitialState

          public void markInitialState()

      Specified by:
        `markInitialState` in interface `PropertyMap`

    - #### clearInitialState

          public void clearInitialState()

      Description copied from interface: `PropertyMap`
      Reset to a non-delta tracking state.
      Specified by:
        `clearInitialState` in interface `PropertyMap`

    - #### initialStateMarked

          public boolean initialStateMarked()

      Specified by:
        `initialStateMarked` in interface `PropertyMap`
      Returns:
        true if delta state changes are being tracked, otherwise false

    - #### setType

          public void setType(FacesBean.Type type)

      Sets the the FacesBean type used by this map's owner bean
      Parameters:
        `type` - FacesBean type

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.